{
    attributes = (
        {
            columnName = "CODE_INSCRIPTION"; 
            externalType = VARCHAR; 
            name = codeInscription; 
            valueClassName = NSString; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = N; 
            columnName = "ID_TYPE_INSCRIPTION_FORMATION"; 
            externalType = NUMBER; 
            name = idTypeInscriptionFormation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IS_COMPLEMENTAIRE"; 
            name = isComplementaire; 
            prototypeName = intBoolean; 
        }, 
        {
            columnName = LIBELLE; 
            externalType = VARCHAR; 
            name = libelle; 
            valueClassName = NSString; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            prototypeName = amount; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idTypeInscriptionFormation); 
    className = "org.cocktail.fwkcktlscolpeda.serveur.metier.EOTypeInscriptionFormation"; 
    classProperties = (
        codeInscription, 
        dCreation, 
        dModification, 
        isComplementaire, 
        libelle, 
        persIdCreation, 
        persIdModification
    ); 
    externalName = "SCO_SCOLARITE.TYPE_INSCRIPTION_FORMATION"; 
    fetchSpecificationDictionary = {}; 
    name = "Sco_TypeInscriptionFormation"; 
    primaryKeyAttributes = (idTypeInscriptionFormation); 
}
